'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgCoding = function SvgCoding(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Coding_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M78.465 66c.111.002.22-.031.31-.097a.54.54 0 0 0 .202-.248.6.6 0 0 0 0-.33.4.4 0 0 0 0-.188.6.6 0 0 0-.091-.163L68.039 52.715V16.002a2 2 0 0 0-.583-1.412 2 2 0 0 0-.649-.437 2 2 0 0 0-.76-.152H13.979c-.26.002-.519.054-.76.152a2.03 2.03 0 0 0-1.08 1.082 2 2 0 0 0-.153.767v36.725L1.165 64.954a.5.5 0 0 0-.142.355.63.63 0 0 0 0 .335.57.57 0 0 0 .507.34zm-1.46-1.138H2.97l9.751-11.212h54.512zM66.909 52.436H13.122V22.044h53.787zm-30.111-6.403 1.054.37 5.863-18.215-1.111-.335zM25.733 37.4l.086.086 7.1 7.11.79-.787-6.733-6.704 6.734-6.738-.791-.787-7.1 7.109a.56.56 0 0 0-.086.69zm20.562 6.444.792.777 7.099-7.11a.45.45 0 0 0 .121-.182.5.5 0 0 0 .046-.213.5.5 0 0 0-.046-.214.5.5 0 0 0-.121-.178l-7.1-7.109-.79.752 6.734 6.738zm20.629-22.912H13.122V15.98a.898.898 0 0 1 .543-.823q.163-.062.34-.066h52.067a.88.88 0 0 1 .624.259.92.92 0 0 1 .258.63zm-4.67-2.321h.902v-1.112h-.902zm2.15 0h.902v-1.112h-.902zm-4.29 0H61v-1.112h-.903z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Coding_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgCoding;
